---
updatedAt: 2026-02-26T13:10:35.000Z
agentTools:
  projectIndex: https://docs.ksa.ngenius-payments.com/llms.txt
---

# Request payment from your customer

By this point, you've successfully created an order in the N-Genius Online gateway, and the next step is to request payment from your customer.

To do so, redirect them to the payment page URL provided in the response to your Create Order request. Specifically, this can be found under:

```Text JSON
response._links.payment.href
```

This value is sometimes referred to as the order\_paypage\_url. Here's an example:

```Text JSON
"payment": {
  "href": "https://paypage.sandbox.ksa.ngenius-payments.com/?code=f46dd85a27fec749"
}
```

This URL launches the hosted payment page where N-Genius Online will handle both 3-D Secure authentication and payment authorization for you.\
You may choose to redirect your customer via full-page redirect, a lightbox, or embed the page using an `iframe`, depending on your integration approach.

## Getting the payment outcome

In order to receive the outcome of the payment, it is recommended that merchants using this integration type also configure their **N-Genius Online** gateway to send call-back/web-hook notifications, so that they may be received and interpreted.

Alternatively, you may also interrogate the ‘*ref*’ query parameter that will be added to the *redirectUrl* you have specified. This will contain the order *reference *value, which you may use (in conjunction with a new* access\_token* value, if required) to query the outcome of a payment with a GET call to the **N-Genius Online** APIs.

See [Consuming web-hooks](https://docs.ksa.ngenius-payments.com/ksa/reference/consuming-web-hooks) for more information about configuring and interpreting web-hook data, and [Retrieve order status](https://docs.ksa.ngenius-payments.com/ksa/reference/retrieve-order-status) for an example of using the ‘ref’ value to retrieve the payment outcome manually.